edu.internet2.ndt

## Class ResultsTextPane

- java.lang.Object
- - com.vuze.plugins.mlab.tools.ndt.swingemu.Component
  - - com.vuze.plugins.mlab.tools.ndt.swingemu.JTextPane
    - - edu.internet2.ndt.ResultsTextPane

-     public class ResultsTextPane
      extends JTextPane

  Text pane component used as the chief results window that summarizes test results. This class is declared separately to allow easy extension for customization.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultsTextPane()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `append(String paramTextStr)` Method to append String into the current document
    `void` | `insertComponent(Component paramCompObj)` JTextPane method to insert a component into the document as a replacement for currently selected content.

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.JTextPane

      `getStyledDocument, setSelectionEnd, setSelectionStart`

    - ### Methods inherited from class com.vuze.plugins.mlab.tools.ndt.swingemu.Component

      `add, add, add, addMouseListener, addWindowListener, getToolkit, pack, repaint, setBorder, setCursor, setEditable, setEnabled, setForeground, setLayout, setLayout, setPreferredSize, setResizable, setSize, setTitle, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultsTextPane

          public ResultsTextPane()

  - ### Method Detail

    - #### append

          public void append(String paramTextStr)

      Method to append String into the current document
      Parameters:
        `paramTextStr` - String to be inserted into the document

    - #### insertComponent

          public void insertComponent(Component paramCompObj)

      JTextPane method to insert a component into the document as a replacement for currently selected content. If no selection is made, the the component is inserted at the current position of the caret.
      Overrides:
        `insertComponent` in class `JTextPane`
      Parameters:
        `paramCompObj` - the component to insert